import 'package:domain/generated/json/base/json_convert_content.dart';
import 'package:domain/entity/response/t_h_upload_file_entity.dart';

THUploadFileEntity $THUploadFileEntityFromJson(Map<String, dynamic> json) {
  final THUploadFileEntity tHUploadFileEntity = THUploadFileEntity();
  final String? path = jsonConvert.convert<String>(json['path']);
  if (path != null) {
    tHUploadFileEntity.path = path;
  }
  return tHUploadFileEntity;
}

Map<String, dynamic> $THUploadFileEntityToJson(THUploadFileEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['path'] = entity.path;
  return data;
}

extension THUploadFileEntityExtension on THUploadFileEntity {
  THUploadFileEntity copyWith({
    String? path,
  }) {
    return THUploadFileEntity()
      ..path = path ?? this.path;
  }
}